For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Go to app
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
    • Introduction
    • Users
    • Taskflow
    • AI Task Builder
    • Studies
    • Representative sample studies
    • Filter Sets
    • Participant Groups
    • Custom Groups
    • Study Distribution
    • Submissions
    • Submission Feedback Upload
    • Bonuses
    • Messages
    • Workspaces
    • Projects
    • Surveys
    • Webhooks
    • Invitations
    • Reward Recommendations
    • Testing
    • Well Known Endpoints
      • GETList credential pools for a workspace
      • POSTCreate credential pool
      • PATCHUpdate credential pool
Go to app
LogoLogo
API ReferenceCredentials

Update credential pool

|View as Markdown|Open in Claude|
PATCH
https://api.prolific.com/api/v1/credentials/:credential_pool_id/
PATCH
/api/v1/credentials/:credential_pool_id/
$curl -X PATCH https://api.prolific.com/api/v1/credentials/credential_pool_id/ \
> -H "Authorization: Token <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "credentials": "user4,password4\nuser5,password5"
>}'
1{
2 "credential_pool_id": "cred_pool_12345"
3}

Add new credentials to an existing credential pool. This operation is additive - new credentials are appended to the existing pool rather than replacing them. The credentials service validates that no duplicate usernames exist. The credentials are provided as a CSV string where each line contains a username and password separated by a comma (e.g., “user4,pass4\nuser5,pass5”).

Was this page helpful?
Previous

Create credential pool

Authentication

AuthorizationToken

The Prolific API uses API token to authenticate requests. You can create an API token directly from your settings.

Your API token does not have an expiry date and carries full permission, so be sure to keep them secure.

If your token is leaked, delete it and create a new one directly in the app.

In your requests add Authorization header with the value Token <your token>.

Path parameters

credential_pool_idstringRequired
Credential pool ID

Request

This endpoint expects an object.
credentialsstringRequired

CSV-formatted credentials to add (username,password per line)

Response

Credential pool updated successfully
credential_pool_idstring
The unique identifier for the updated credential pool

Errors

400
Bad Request Error
4XX
Client Request Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
502
Bad Gateway Error